Search Unity

5.5.0f2 Android IL2CPP build fails

Discussion in '5.5 Beta' started by Pharaoh, Nov 28, 2016.

  1. Pharaoh

    Pharaoh

    Joined:
    Jan 8, 2014
    Posts:
    28
    I was wondering if there is specific versions of Java JDK, Android SDK and NDK needed for IL2CPP build.
    I'm using :
    Unity 5.5.0f2
    Java jdk1.8.0_112
    android-ndk-r10e

    My IL2CPP build fails but I can't find any relevant info inside Editor log why build fails.
    I've attached part of my Editor log.
     

    Attached Files:

  2. Alex-Lian

    Alex-Lian

    Guest

    So, apparently known bug where we're failing to pass through the error from the compiler/linker. There's a fix in flight, but unclear when we'll land it.
     
  3. Pharaoh

    Pharaoh

    Joined:
    Jan 8, 2014
    Posts:
    28
    Yikes. I was waiting a month for a canvas scaler bug fix to release, now this is another blocker bug for me. Is there any ticket I can track for a status update for this compiler/linker bug?
    I'm not sure how to find what is wrong.
    With Mono everything compiles without problem.
     
    MrEsquire likes this.
  4. Pharaoh

    Pharaoh

    Joined:
    Jan 8, 2014
    Posts:
    28
    I found out what was the problem at least for my project (after many debugging hours :) ).

    I've read that one of the Unity builds that is correctly displaying il2cpp errors is Unity5.4.2p1.
    So I've returned to a git repo history to a point where I could even open up my project with Unity5.4.2p1 and it built everything correctly using either Mono or IL2CPP. Then I opened same project with Unity5.5.0f2 and IL2CPP didn't work as expected.

    But when I opened project with Unity5.5.0f2 I was reminded that some stuff about UnityAds has been changed because I had to either import UnityAds from AssetStore or enable in-editor version.

    Unity5.5.0f2 (but I guess other recent versions also) didn't want to build IL2CPP when in-editor version of UnityAds plugin was used.
    So I've completely disabled UnityAds from Services menu and added plugin manually.
    To not write whole procedure if someone experiences or suspects that it's the same issue just follow official "Unity Ads 2.0 upgrade guide" (https://unityads.unity3d.com/help/monetization/2.0-upgrade-guide-unity).

    After this at least compiling to IL2CPP works for me. I now need to test if the build is working properly on some test devices that I have.
     
  5. bdovaz

    bdovaz

    Joined:
    Dec 10, 2011
    Posts:
    676
    11 betas / 2 RC and on the final release Android IL2CPP build is broken? o_O
     
    DanielVanches likes this.